Edit a Place

Suggest edits to an existing Place?s information such as address, phone number, and hours of operation via its fsq_place_id. Providing values for the parameters below constitute the proposed edit.

Path Params
string
required

A unique string identifier for a FSQ Place (formerly known as Venue ID). E.g., Foursquare HQ's fsq_id = 5a187743ccad6b307315e6fe.

Query Params
boolean
Defaults to true

If true, return the expected result without actually submitting the suggestion. Useful for testing.
Note this defaults to false in all cases EXCEPT when calling through this docs page.

double

The proposed new value for the latitude at which the place should be located (e.g., 41.8781).

double

The proposed new value for the longitude at which the place should be located (e.g., -87.6298).

string

The proposed new value for the url where the menu of the place can be found.

string

The proposed new value for the url for this place's Facebook Page.

string

The proposed new value if the place is a subvenue of a larger place (such as a coffee shop within a Target), set this attribute to the ID of the parent place. Set to "" to remove parent.

boolean

The proposed new value for whether the place is a private place. If true, the place will be marked as private. Otherwise, it will be marked as public.

string

The proposed new value for the hours for the venue, as a semi-colon separated list of open segments and named segments (e.g., brunch or happy hour). Open segments are formatted as day,start,end. Named segments additionally have a label, formatted as day,start,end,label. Days are formatted as integers with Monday = 1,...,Sunday = 7. Start and End are formatted as [+]HHMM format. Use 24 hour format (no colon), prefix with 0 for HH or MM less than 10. Use '+' prefix, i.e., +0230 to represent 2:30 am past midnight into the following day. To indicate that a venue is open 24/7, send this value with the hours attribute: 1,0000,2400;2,0000,2400;3,0000,2400;4,0000,2400;5,0000,2400;6,0000,2400;7,0000,2400

string

The proposed new value for the name of the place.

string

The proposed new value for the freeform description of the place, up to 300 characters.

string

The proposed new value for the phone number of the place.

string

The proposed new value for the instagram handle of the place.

string

The proposed new value for the twitter handle of the place.

string

The proposed new value for the url of the homepage of the place.

string

The proposed new value for the address of the place.

string

The proposed new value for the name of the locality (city) where this place is.

string

The proposed new value for the nearest state or province to the place.

string

The proposed new value for the zip or postal code for the place.

string

The proposed new 2-digit country code where the place is located (e.g. US).

string

A comma-separated list of attribute keys to add or enable for the venue. Possible values are: {atm, reservations, offers_delivery, parking, outdoor_seating, restroom, credit_cards, wifi}.

string

A comma-separated list of attribute keys to remove or disable from the venue. Possible values are: {atm, reservations, offers_delivery, parking, outdoor_seating, restroom, credit_cards, wifi}.

string

Add category IDs. Supports multiple Category IDs, separated by commas.

For a complete list of Foursquare Category IDs, refer to the Category Taxonomy page. [This endpoint prefers the 5-integer style id, but can accept the BSON style id]

string

Remove category IDs. Supports multiple Category IDs, separated by commas.

For a complete list of Foursquare Category IDs, refer to the Category Taxonomy page. [This endpoint prefers the 5-integer style id, but can accept the BSON style id]

string

Change the primary category ID

For a complete list of Foursquare Category IDs, refer to the Category Taxonomy page. [This endpoint prefers the 5-integer style id, but can accept the BSON style id]

string

Add chain IDs.

string

Remove Foursquare chain IDs.

string

Change the primary chain ID.

string

Fields to unset. Supports multiple fields, separated by commas. Possible values are:

  • menu (default)
  • facebook_url
  • description
  • address
  • tel
  • twitter
  • website
  • fsq_chain_ids
  • hours

Headers
string
enum
required
Defaults to 2025-06-17

The version of the API to use.

Allowed:
Response

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json